com.holonplatform.reactor.datastore.operation

## Interface ReactiveBulkDelete

- All Superinterfaces:
    com.holonplatform.core.datastore.operation.commons.BulkDeleteOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,ReactiveBulkDelete>, com.holonplatform.core.datastore.DatastoreCommodity, com.holonplatform.core.datastore.operation.commons.DatastoreOperation<ReactiveBulkDelete,com.holonplatform.core.datastore.operation.commons.BulkDeleteOperationConfiguration>, com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder<ReactiveBulkDelete>, com.holonplatform.core.datastore.operation.commons.ExecutableBulkOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,com.holonplatform.core.datastore.operation.commons.BulkDeleteOperationConfiguration,ReactiveBulkDelete>, com.holonplatform.core.datastore.operation.commons.ExecutableOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>>, com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<ReactiveBulkDelete>, com.holonplatform.core.query.QueryFilter.QueryFilterSupport<ReactiveBulkDelete>, Serializable

      public interface ReactiveBulkDelete
      extends com.holonplatform.core.datastore.operation.commons.BulkDeleteOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,ReactiveBulkDelete>

  Reactive `BulkDeleteOperation` API, using a `Mono` to represent and handle the operation result.
  Since:
    5.2.0
  See Also:
    `ReactiveDatastore`

- - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperation

      `getConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder

      `parameter, parameter, target, withExpressionResolvers, withWriteOption, withWriteOptions, withWriteOptions`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.ExecutableOperation

      `execute`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter.QueryFilterSupport

      `filter, filter, filter`

Copyright © 2019 The Holon Platform. All rights reserved.